Debian Bug report logs - #158332
RM: dhcp-dns -- RoQA; dead upstream, superseded by dhcp3-server

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: "Craig Sanders" <cas@taz.net.au>

Date: Mon, 26 Aug 2002 10:33:01 UTC

Owned by: Simon Richter <sjr@debian.org>

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#158332; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Craig Sanders" <cas@taz.net.au>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Craig Sanders" <cas@taz.net.au>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: O: dhcp-dns
Date: Mon, 26 Aug 2002 20:19:06 +1000
Package: wnpp
Version: N/A; reported 2002-08-26
Severity: normal


orphaned Dec 18 2001




Changed Bug title. Request was from Peter Palfrader <peter@palfrader.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#158332; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 158332@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: 158332@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: ITA: dhcp-dns -- Dynamic DNS updates for DHCP
Date: Fri, 30 Aug 2002 16:46:29 +0200
[Message part 1 (text/plain, inline)]
retitle 158332 ITA: dhcp-dns -- Dynamic DNS updates for DHCP
thanks

Hi,

I intend to adopt dhcp-dns, as I need it here. :-)

   Simon
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Simon Richter <sjr@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#158332; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 158332@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: 158332@bugs.debian.org
Subject: Small update on dhcp-dns
Date: Mon, 4 Nov 2002 17:09:43 +0100
[Message part 1 (text/plain, inline)]
Good news, everyone!

Upstream seems to have disappeared, amd the current package is
sufficiently broken. I'm going to give the entire thing a full rewrite
in C++ and then make transition packages. I hope to get all of this done
before sarge releases; if not, I'll rework the old scripts to be at
least marginally useful.

   Simon

-- 
GPG Fingerprint: 040E B5F7 84F1 4FBC CEAD  ADC6 18A0 CC8D 5706 A4B4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#158332; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #24 received at 158332@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Simon Richter <sjr@debian.org>
Cc: 158332@bugs.debian.org, control@bugs.debian.org
Subject: Re: Small update on dhcp-dns
Date: Wed, 6 Oct 2004 08:32:43 +0200
tags 158332 moreinfo
owner 158332 Simon Richter <sjr@debian.org>
thanks

On Mon, Nov 04, 2002 at 05:09:43PM +0100, Simon Richter wrote:
> Good news, everyone!
> 
> Upstream seems to have disappeared, amd the current package is
> sufficiently broken. I'm going to give the entire thing a full rewrite
> in C++ and then make transition packages. I hope to get all of this done
> before sarge releases; if not, I'll rework the old scripts to be at
> least marginally useful.

What is the status? The above message is nearly two years old :)

Please consider doing an upload, at least one setting the maintainer to
"Debian QA Group <packages@qa.debian.org>" if you don't want to take
responsibility just now.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Simon Richter <sjr@debian.org>. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Simon Richter <sjr@debian.org>:
Bug#158332; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Simon Richter <sjr@debian.org>. Full text and rfc822 format available.

Message #33 received at 158332@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 158332@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: Small update on dhcp-dns
Date: Sat, 30 Apr 2005 12:39:42 +0200
On Wed, Oct 06, 2004 at 08:32:43AM +0200, Jeroen van Wolffelaar wrote:
> On Mon, Nov 04, 2002 at 05:09:43PM +0100, Simon Richter wrote:
> > Good news, everyone!
> > 
> > Upstream seems to have disappeared, amd the current package is
> > sufficiently broken. I'm going to give the entire thing a full rewrite
> > in C++ and then make transition packages. I hope to get all of this done
> > before sarge releases; if not, I'll rework the old scripts to be at
> > least marginally useful.
> 
> What is the status? The above message is nearly two years old :)

Jeroen, did you get any reply?

If not, I think we should remove dhcp-dns--it's been orphaned for more than
3 years, upstream abandoned it, and the equivalent functionality is provided
by dhcp3-server.

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Simon Richter <sjr@debian.org>:
Bug#158332; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Simon Richter <sjr@debian.org>. Full text and rfc822 format available.

Message #38 received at 158332@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Matej Vela <vela@debian.org>
Cc: 158332@bugs.debian.org, debian-qa@lists.debian.org, sjr@debian.org
Subject: Re: Small update on dhcp-dns
Date: Sat, 30 Apr 2005 12:47:24 +0200
On Sat, Apr 30, 2005 at 12:39:42PM +0200, Matej Vela wrote:
> On Wed, Oct 06, 2004 at 08:32:43AM +0200, Jeroen van Wolffelaar wrote:
> > What is the status? The above message is nearly two years old :)
> 
> Jeroen, did you get any reply?

No
 
> If not, I think we should remove dhcp-dns--it's been orphaned for more than
> 3 years, upstream abandoned it, and the equivalent functionality is provided
> by dhcp3-server.

I'll at least file an RC bug and get the package out of testing, there
are apparantly still people using it, who might want a chance adopting
it after the ITA expired into an O:.

Simon, please reply and act immediately if you want to save this package
for sarge.
 
--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#158332; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #43 received at 158332@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, 158332@bugs.debian.org
Cc: Matej Vela <vela@debian.org>, debian-qa@lists.debian.org
Subject: Re: Bug#158332: Small update on dhcp-dns
Date: Sat, 30 Apr 2005 14:27:37 +0200
[Message part 1 (text/plain, inline)]
Hi,

>>If not, I think we should remove dhcp-dns--it's been orphaned for more than
>>3 years, upstream abandoned it, and the equivalent functionality is provided
>>by dhcp3-server.

> Simon, please reply and act immediately if you want to save this package
> for sarge.

I don't think it's worth the effort to save that package, as it needs to
be rewritten in large parts. Okay to remove from my side, with a remark
in the release notes.

   Simon
[signature.asc (application/pgp-signature, attachment)]

Information stored:
Bug#158332; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #48 received at 158332-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Simon Richter <sjr@debian.org>
Cc: 158332-quiet@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: Bug#158332: Small update on dhcp-dns
Date: Mon, 15 Aug 2005 02:19:40 +0200
Hi,

On Sat, Apr 30, 2005 at 02:27:37PM +0200, Simon Richter wrote:
> >>If not, I think we should remove dhcp-dns--it's been orphaned for more than
> >>3 years, upstream abandoned it, and the equivalent functionality is provided
> >>by dhcp3-server.
> 
> > Simon, please reply and act immediately if you want to save this package
> > for sarge.
> 
> I don't think it's worth the effort to save that package, as it needs to
> be rewritten in large parts.

Since no one stepped up, I guess we can remove it from unstable too?

> Okay to remove from my side, with a remark in the release notes.

(This was not practical due to the number of removed packages -- more
than two thousand.)

Thanks,

Matej



Information stored:
Bug#158332; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #53 received at 158332-quiet@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Matej Vela <vela@debian.org>
Cc: 158332-quiet@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: Bug#158332: Small update on dhcp-dns
Date: Mon, 15 Aug 2005 14:17:11 +0200
[Message part 1 (text/plain, inline)]
Hi,

Matej Vela schrieb:

[dhcp-dns]

>>I don't think it's worth the effort to save that package, as it needs to
>>be rewritten in large parts.

> Since no one stepped up, I guess we can remove it from unstable too?

Yes, its functionality is now provided by the DHCP servers directly, so
there is no need to keep it around.

Are you going to file the removal bug or should I?

>>Okay to remove from my side, with a remark in the release notes.

> (This was not practical due to the number of removed packages -- more
> than two thousand.)

Hrm, would have been nice. :-)

   Simon
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#158332; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #62 received at 158332-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Simon Richter <sjr@debian.org>
Cc: control@bugs.debian.org, 158332-quiet@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: Bug#158332: Small update on dhcp-dns
Date: Mon, 15 Aug 2005 16:15:52 +0200
retitle 158332 RM: dhcp-dns -- RoQA; dead upstream, superseded by dhcp3-server
reassign 158332 ftp.debian.org
thanks

On Mon, Aug 15, 2005 at 02:17:11PM +0200, Simon Richter wrote:
> Hi,
> 
> Matej Vela schrieb:
> 
> [dhcp-dns]
> 
> >>I don't think it's worth the effort to save that package, as it needs to
> >>be rewritten in large parts.
> 
> > Since no one stepped up, I guess we can remove it from unstable too?
> 
> Yes, its functionality is now provided by the DHCP servers directly, so
> there is no need to keep it around.
> 
> Are you going to file the removal bug or should I?

Here goes...

Thanks,

Matej



Tags removed: moreinfo Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Craig Sanders" <cas@taz.net.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #69 received at 158332-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 158332-close@bugs.debian.org
Subject: Bug#158332: fixed
Date: Mon, 29 Aug 2005 00:03:47 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  dhcp-dns |   0.50-3.2 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 158332@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ryan Murray (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 23:24:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:58:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.